Skip to content
Letterhead Letterhead Letterhead Help Center
Admin Tools

Curate

POST
/api/v3/curations

Create a curation for any channel within the company. Note that the v3 api requires a key generated from within the company-level settings.

Provided that you are curating the same url, Letterhead will not create a duplicate curation, and you can use this endpoint to also update one if it is already in the system.

Media type multipart/form-data
object
api

required | When true, instructs the endpoint that you’re authenticating with an organization key as opposed to some other method. In almost all cases you will want to set this value to true.

string
Example
true
channels[]

required | string[] | An array of channel identifiers (or channel “slugs”) across which to create a curation.

string
Example
letterhead-example-newsletter
content

optional | html content for the curation, only p and formatting elements are allowed. You would use this if

string
Example
excerpt

optional | Plain text excerpt of the curated content. Will overwrite what we fetch from the URL.

string
Example
image

optional | The URL of a featured image to associate with this piece of content.

string
Example
publicationDate

optional | The Y-md H:i:s formatted date of publication.

string
Example
siteName

optional | The name of the site the curated content originated from.

string
Example
tags

optional | string[] | An optional array of string tags with which to associate this piece of content. Example: ['dogs', 'canines']

string
Example
title

optional | Title of the curated content. Will overwrite what we fetch from the URL.

string
Example
url

required | URL to the content you would like Letterhead to crawl. We will fetch what we can glean from the site’s Open Graph.

string
Example
https://letterhead.ai

Curate

Media type application/json
object
items
object
archiveDate
string
archived
boolean
author
string
content
string
createdAt
string
curated
boolean
customFields
object
sponsor-name
string
dateOfAggregatePublication
string
excerpt
string
feedUniqueId
string
image
string
imageAlt
string
imageCaption
string
organizationId
number
originalUrl
string
publicationDate
string
siteName
string
source
number
tags
Array
title
string
type
number
uniqueId
string
updatedAt
string
message
string
total
number
Examples
Example Curate
{
"items": {
"archiveDate": "2026-05-16",
"archived": false,
"author": "",
"content": "",
"createdAt": "2026-04-16 18:47:02",
"curated": true,
"customFields": {
"sponsor-name": "Alx Michaelson"
},
"dateOfAggregatePublication": "2026-04-16 19:26:07",
"excerpt": "",
"feedUniqueId": "",
"image": "",
"imageAlt": "",
"imageCaption": "",
"organizationId": 0,
"originalUrl": "https://css-tricks.com/whats-important-7",
"publicationDate": "2026-04-16 19:26:07",
"siteName": "",
"source": 0,
"tags": [],
"title": "",
"type": 0,
"uniqueId": "myy0qwwlzu",
"updatedAt": "2026-04-16 19:26:07"
},
"message": "Curation created.",
"total": 1
}
Alt-Svc
string
Example
h3=":443"; ma=2592000,h3-29=":443"; ma=2592000
Transfer-Encoding
string
Example
chunked
access-control-allow-credentials
string
Example
true
access-control-allow-origin
string
Example
*
access-control-max-age
string
Example
86400
cache-control
string
Example
no-cache, private
date
string
Example
Thu, 16 Apr 2026 19:26:08 GMT
server
string
Example
nginx/1.27.3
via
string
Example
1.1 google
x-powered-by
string
Example
PHP/7.4.33

Still can’t find what you need? Contact support.